FixFilter OC2x - fixes default Opencart filter

FixFilter OC2x - fixes default Opencart filter
The default filters in Opencart uses logic "OR" for all values, regardless of the filter group.

FixFilter OC2x modifies the default Opencart 2.0 & 3.0 filters to filter products with "OR" (products in group) and "AND" (for GROUPS) logic.

DEMO 2x / ADMIN 2x
DEMO 3x / ADMIN 3x

Designed for Opencart versions 2.0.0.0 - 3.0.3.x
Does not change core files or DB, works through OCMOD

This fix is not necessary if you use a third-party filter (such as FilterPro, MegaFilter etc)

Based on this solution for Opencart 1.5.x

How to use standard filter in Opencart:
1. Go to Catalog > Filters and press button Add new. After, fill the Filter Group Name and create filters for this group (Add filter)
2. Edit the desired products into Catalog > Products to assign them the necessary filters (tab Links > Filters)
3. Edit the desired categories into Catalog > Categories to assign them the necessary filters (tab Data > Filters)
4. Go to Extensions > Modules, select the Filter, press Install button and enable him
5. Into Design > Layouts select the necessary layout and add Filter > Filter for the required position

And check works of filter in the storefront on the page of the desired category for her goods


Install 2x
1. Upload file fix_filter.ocmod.xml from folder 2x in Extensions->Installer
2. Refresh the modifications cache (press Refresh button) in Extensions->Modifications

Install 3x
1. Upload file fix_filter.ocmod.zip from folder 3x in Extensions->Installer
2. Refresh the modifications cache (press Refresh button) in Extensions->Modifications

Don't forget refresh modifications cache after install!

OTHER MODULES:




What customers say about FixFilter OC2x - fixes default Opencart filter

Mr. Crane
Actually thought it was an joke that different types of filters works as OR case. This extention fixed that - thanks! Works well on OC 3.0.3.2
~Mr. Crane
horangel
Simple to use and works great. It should be a default feature in OC. Thank you!
~horangel
m2mpayments
Gave 500 error as soon as installed
~m2mpayments




Download
  • Developed by OpenCart Community
  • Documentation Included

Rating

Compatibility
2.0.0.0, 2.0.1.0, 2.0.1.1, 2.0.2.0, 2.0.3.1, 2.1.0.1, 2.1.0.2, 2.2.0.0, 2.3.0.0, 2.3.0.1, 2.3.0.2, 3.0.0.0, 3.0.1.1, 3.0.1.2, 3.0.2.0, 3.0.3.0, 3.0.3.1, 3.0.3.2, 3.0.3.3, 3.0.3.5, 3.0.3.6, 3.0.3.7, 3.0.3.8, 3.0.3.9, 3.0.0.0, 3.0.1.1, 3.0.1.2, 3.0.2.0, 3.0.3.0, 3.0.3.1, 3.0.3.2, 3.0.3.3, 3.0.3.5, 3.0.3.6, 3.0.3.7, 3.0.3.8, 3.0.3.9

Last Update
14 Apr 2024

Created
24 Aug 2015
9360 Downloads
111 Comments
AlexDW
AlexDW
Member since: 27 Oct 2014

View all extensions Get Support